## pyqwt5 5.2.1~cvs20091107+dfsg

=== debian/changelog ===
pyqwt5 (5.2.1~cvs20091107+dfsg-8build1) bionic; urgency=medium

  * Rebuild against new sip-api-12.2.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Nov 2017 17:22:32 +0100

pyqwt5 (5.2.1~cvs20091107+dfsg-8) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Gudjon I. Gudjonsson ]
  * Disable numarray and numeric (Closes: #820696)
  * Bump standards version to 3.9.8, no change needed
  * Change dh_clean -k to dh_prep
  * Change recommends libqwt-dev to 
    suggests libqwt5-qt4-dev (Closes: #763567)
  * Add patch to disable numeric, numarray
  * Add patch to change Float to float, for non-obsolete 
    numpy version
  * Add patch to disable imageplot example
  * Remove dpatch reference from README.source

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Thu, 18 Aug 2016 12:13:05 +0200
