=== debian/control ===
Source: pyqwt5
Section: python
Priority: optional
Maintainer: Gudjon I. Gudjonsson <gudjon@gudjon.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), python-all-dev (>= 2.6.6-3),
 python-numpy (>= 1:1.0.2-2), python-sip-dev,
 libqwt5-qt4-dev (>=5.0.1), python-qt4 (>= 4.8.3-3), python-qt4-dev (>=4.8.3-3)
Standards-Version: 3.9.8
X-Python-Version: >= 2.3
Homepage: http://pyqwt.sourceforge.net/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pyqwt5.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pyqwt5.git

Package: python-qwt5-qt4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, ${pythonqt4:Depends},
 ${sip:Depends}, ${libqwt5qt4:Depends}, python-numpy
Suggests: libqwt5-qt4-dev
Description: Python version of the Qwt5 technical widget library
 PyQwt is a set of Python bindings for the Qwt C++ class library which extends
 the Qt framework with widgets for scientific and engineering applications.
 It provides a widget to plot 2-dimensional data and various widgets to
 display and control bounded or unbounded floating point values.
 .
 This version is compiled against Qt, version 4.

Package: python-qwt5-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Python Qwt5 technical widget library, documentation and examples  
 PyQwt is a set of Python bindings for the Qwt C++ class library which extends   
 the Qt framework with widgets for scientific and engineering applications.   
 It provides a widget to plot 2-dimensional data and various widgets to   
 display and control bounded or unbounded floating point values.   
 .
 This package contains the examples for both Qt versions.
