=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 			mkdir -p build/py$$pyvers-qt$$qtvers;\
 			cp -Rl `ls . |grep -v build|grep -v debian` build/py$$pyvers-qt$$qtvers;\
 			(set -e; cd build/py$$pyvers-qt$$qtvers/configure;\
-			python$$pyvers configure.py -$$qtvers -I /usr/include/qwt-qt$$qtvers/ --extra-libs=qwt-qt$$qtvers );\
+			python$$pyvers configure.py -$$qtvers -I /usr/include/qwt-qt$$qtvers/ --extra-libs=qwt-qt$$qtvers --disable-numarray --disable-numeric);\
 		done;\
 	done
 	touch configure-stamp
@@ -65,7 +65,7 @@
 install-indep: build-indep-stamp
 	dh_testdir
 	dh_testroot
-	dh_clean -k -i
+	dh_prep
 	dh_installdirs -i
 	mkdir -p debian/tmp/usr/share/doc/python-qwt5-doc
 	cp -a qt4examples debian/tmp/usr/share/doc/python-qwt5-doc
@@ -74,7 +74,7 @@
 install-arch: build-arch-stamp
 	dh_testdir
 	dh_testroot
-	dh_clean -k -s
+	dh_prep
 	dh_installdirs -s
 	for pyvers in ${PYTHONS};\
 	do\
